org.apache.poi.hslf.record

## Class NotesAtom

- java.lang.Object
- - org.apache.poi.hslf.record.Record
  - - org.apache.poi.hslf.record.RecordAtom
    - - org.apache.poi.hslf.record.NotesAtom

- All Implemented Interfaces:
    GenericRecord

      public final class NotesAtom
      extends RecordAtom

  A Notes Atom (type 1009). Holds information on the parent Notes, such as what slide it is tied to
  Author:
    Nick Burch

- - ### Field Summary

    - ### Fields inherited from class org.apache.poi.hslf.record.Record

      `logger`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `NotesAtom(byte[] source, int start, int len)` For the Notes Atom

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getFollowMasterBackground()`
    `boolean` | `getFollowMasterObjects()`
    `boolean` | `getFollowMasterScheme()`
    `java.util.Map<java.lang.String,java.util.function.Supplier<?>>` | `getGenericProperties()`
    `long` | `getRecordType()` We are of type 1009
    `int` | `getSlideID()`
    `void` | `setFollowMasterBackground(boolean flag)`
    `void` | `setFollowMasterObjects(boolean flag)`
    `void` | `setFollowMasterScheme(boolean flag)`
    `void` | `setSlideID(int id)`
    `void` | `writeOut(java.io.OutputStream out)` Write the contents of the record back, so it can be written to disk

    - ### Methods inherited from class org.apache.poi.hslf.record.RecordAtom

      `getChildRecords, isAnAtom`

    - ### Methods inherited from class org.apache.poi.hslf.record.Record

      `buildRecordAtOffset, createRecordForType, findChildRecords, getGenericChildren, getGenericRecordType, writeLittleEndian, writeLittleEndian`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NotesAtom

          protected NotesAtom(byte[] source,
                              int start,
                              int len)

      For the Notes Atom

  - ### Method Detail

    - #### getSlideID

          public int getSlideID()

    - #### setSlideID

          public void setSlideID(int id)

    - #### getFollowMasterObjects

          public boolean getFollowMasterObjects()

    - #### getFollowMasterScheme

          public boolean getFollowMasterScheme()

    - #### getFollowMasterBackground

          public boolean getFollowMasterBackground()

    - #### setFollowMasterObjects

          public void setFollowMasterObjects(boolean flag)

    - #### setFollowMasterScheme

          public void setFollowMasterScheme(boolean flag)

    - #### setFollowMasterBackground

          public void setFollowMasterBackground(boolean flag)

    - #### getRecordType

          public long getRecordType()

      We are of type 1009
      Specified by:
        `getRecordType` in class `Record`

    - #### writeOut

          public void writeOut(java.io.OutputStream out)
                        throws java.io.IOException

      Write the contents of the record back, so it can be written to disk
      Specified by:
        `writeOut` in class `Record`
      Throws:
        `java.io.IOException`

    - #### getGenericProperties

          public java.util.Map<java.lang.String,java.util.function.Supplier<?>> getGenericProperties()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.